Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6130/?format=api
{ "ob_id": 6130, "uuid": "9a2e197d85995ca92037669a1ee9868d", "title": "Laser Ceilometer Data from the Natural Environment Research Council (NERC) Mesosphere-Stratosphere-Troposphere (MST) Radar Facility, Capel Dewi, Wales", "abstract": "Data from the instruments at the Natural Environment Research Council (NERC) Mesosphere-Stratosphere-Troposphere (MST) Radar Facility near Aberystwyth in West Wales. The principal measurements made by the MST radar are of the three dimensional wind vector over the altitude range 2 - 20 km. Surface meteorological measurements from the radar site, ceilometer data, sky camera images and wind speed and direction recorded from a 10m tower located 6km away are also available. Other instruments at the facility have included one of the Met Office's boundary layer wind profilers and NCAS's boundary layer wind profiler.", "keywords": "MST, ceilometer, cloud height, cloud base, backscatter", "publicationState": "published", "dataPublishedTime": "2007-03-15T23:53:18", "doiPublishedTime": null, "updateFrequency": "daily", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6131/?format=api", "dataPath": "/badc/mst/data/laser-ceilometer", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 426962158, "numberOfFiles": 3290, "fileFormat": null }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1794/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/515/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22318/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64086/?format=api" ], "dataLineage": "Data are acquired by the MST radar facility and sent to the BADC within an hour of acquisition. Data are then immediately ingested into the BADC archives.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3974/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/25330/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6117/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26036/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26030/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26033/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26034/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26035/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26031/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46124/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6133/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }